/*
 *	file
 */

#include "vim.h"
#include "globals.h"
#include "proto.h"
#include "option.h"

int	h_is_correct( int col, char_u *ptr )
{
	int	i, k;
	if( col==0 )	return(1);
	if( *ptr & 0x80 ){
		for( i=col, k=0 ; i>=0 && (*(ptr-k) & 0x80); k++,i-- );
		return(k%2);
	}
	else	return(1);
}
